div.page-layout{
  display: grid;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  overflow: hidden;
  grid-template-rows: 4rem minmax(1px, 1fr) 4rem;
}

div#result{
  overflow-y: scroll;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}

.full-width{
  width:100%;
}

li.list-group-item{
  padding: .25rem 0.6rem;
  min-height: 60px;
}

li div.opts{
  text-align: right;
  margin-top: 10px;
}

li div.opts button.btn{
  margin-left: 0.5rem;
}

li div.opts button.btn:focus{
  background-color: #e2e3e5;
}

li div.btngrp button.btn{
  margin-left:1em;
  width: 50px;
  height: 50px;
  background-color: transparent;
}

li div.btngrp{
  float: right;
  position: relative;
  left: 9em;
  display: none;
}

@keyframes slide {
  0% {left: 9em;}
  100% {left: 0em;}
}

li.active div.btngrp{
  display: block;
  left: 0em;
  animation-name: slide;
  animation-duration: 0.3s;
  animation-iteration-count: 1;
  animation-timing-function: ease;
}

button.whats_queued{
  background-image: url('format-list-ordered.png');
}

li button.sing{
  background-image: url('media-playback-start.png');
}

li button.love{
  background-image: url('fav-add.png');
}

li button.remove{
  background-image: url('remove.png');
}

li button.more{
  background-image: url('audio-cd.png');
}

nav#bottom button{
  background-repeat: no-repeat;
  width: 50px;
  height: 50px;
  font-size: 0;
  background-color: transparent;
}

button.random{
  background-image: url('media-playlist-shuffle.png');
}

button.favourites{
  background-image: url('favourites.png');
}

button.search{
  background-image: url('find.png');
  width: 48px;
  text-indent: 200px;
}

#q {
  height: 3em;
}

@keyframes pulsate {
  0% {background-color: #e3e3df;}
  50% {background-color: #9BB7BE;}
  100% {background-color: #e3e3df;}
}

div#result li.now-playing{background-color:#e3e3df;
  animation-name: pulsate;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  animation-timing-function: ease; 
}

div#result div.nomatch {
  background-color: #e3e3df;
  background-image: url("not-found.png");
  background-repeat: no-repeat;
  text-align: center;
  padding: 180px 1ex 1ex 1ex;
  background-position-x: center;
}

li .requested{
  float: right;
  font-weight: bold;
}
